Update Applicant Appointment: Rent Manager

Update Applicant Appointment: Rent Manager | Method | |---| | POST /Appointments |

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

event_idstringRequired
The Propexo unique identifier for the event

Request

This endpoint expects an object.
appointment_datestringRequired
The date when the appointment will occur
appointment_timestringRequiredformat: "(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)"
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. The time is in the local time of the property/location. In Rent Manager, the default timezone is an optional setting that the PMC can set and will be stored on the Propexo Timezone model. You may need to read in this setting and convert to the local timezone for the appointment time to be correct.
appointment_duration_minutesintegerRequired
The duration of the appointment, in minutes
titlestringRequired<=50 characters
The title associated with the event
notesstringOptional
Notes associated with the event

Response

Successful response
metaobject
resultobject

Errors